%global pypi_name pytest-doctestplus

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 1
Summary:        Pytest plugin with advanced doctest features
Group:		    Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(six)

%description
The doctestplus plugin provides advanced features for testing example Python
code that is included in Python docstrings and in standalone documentation
files.

Good documentation for developers contains example code. This is true of both
standalone documentation and of documentation that is integrated with the
code itself. Python provides a mechanism for testing code snippets that are
provided in Python docstrings. The unit test framework pytest provides a
mechanism for running doctests against both docstrings in source code and in
standalone documentation files.

This plugin augments the functionality provided by Python and pytest by
providing the following features:
* approximate floating point comparison for doctests that produce floating 
  point results 
* skipping particular classes, methods, and functions when running doctests
* handling doctests that use remote data in conjunction with the
  pytest-remotedata plugin
* optional inclusion of *.rst files for doctests


%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(numpy)
Requires:       python3dist(pytest)
Requires:       python3dist(six)
# remotedata is useful for some tests, but not a hard requirement
Recommends:     python3dist(pytest-remotedata)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The doctestplus plugin provides advanced features for testing example Python
code that is included in Python docstrings and in standalone documentation
files.

Good documentation for developers contains example code. This is true of both
standalone documentation and of documentation that is integrated with the
code itself. Python provides a mechanism for testing code snippets that are
provided in Python docstrings. The unit test framework pytest provides a
mechanism for running doctests against both docstrings in source code and in
standalone documentation files.

This plugin augments the functionality provided by Python and pytest by
providing the following features:
* approximate floating point comparison for doctests that produce floating 
  point results 
* skipping particular classes, methods, and functions when running doctests
* handling doctests that use remote data in conjunction with the
  pytest-remotedata plugin
* optional inclusion of *.rst files for doctests

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_doctestplus

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst




%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.12.0-1.mga9
+ Revision: 1885142
- New version  0.12.0

* Mon Mar 28 2022 umeabot <umeabot> 0.11.2-2.mga9
+ Revision: 1829581
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.11.2-1.mga9
+ Revision: 1783981
- version 0.11.2

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.9.0-3.mga9
+ Revision: 1775129
- rebuild for python-3.10

* Sun Mar 21 2021 joequant <joequant> 0.9.0-2.mga9
+ Revision: 1706782
- update to python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 0.9.0-1.mga9
+ Revision: 1695451
- new version 0.9.0

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1534940
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.3.0-4.mga8
+ Revision: 1450261
- imported package python-pytest-doctestplus


* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.3.0-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 24 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.1.3-1
- new version

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-2
- Rebuilt for Python 3.7

* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.1.2-1
- initial packaging effort

